<h1>Shopping Cart</h1>
<p>You Have {{totalQuantity}} Items in Your Shopping Cart</p>
<table class="table">
  <thead>
      <tr>
        <th></th>
        <th>Product</th>
        <th>Quantity</th>
        <th>Price</th>
        <th>Total</th>
        <th></th>
      </tr>
  </thead>
  <tr *ngFor=" let item of productArray">
    <td *ngIf="item.quantity !== 0"><img [src]="item.product.imageUrl" class="img-thumbnail"></td>
    <td *ngIf="item.quantity !== 0">{{item.product.title}}</td>
    <td *ngIf="item.quantity !== 0">{{item.quantity}}</td>
    <td *ngIf="item.quantity !== 0">{{item.product.price}}</td>
    <td *ngIf="item.quantity !== 0">{{item.quantity * item.product.price}}</td>
  </tr>
  <tr>
    <td></td>
    <td></td>
    <td></td>
    <td><h1>Pay:</h1></td>
    <td><h1>{{sum | currency: '$'}}</h1></td>
  </tr>
  <tr>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td><button class="btn btn-primary" routerLink="/my/orders">Buy Products</button> </td>
  </tr>

</table>

<button class="btn btn-danger btn-sm" (click)="clearCartData()">
  Clear Cart Items
</button>

